<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from lic.texi on 28 April 1999 -->

<TITLE>The Linear Inequality Calculator - Rapid Prototyping System</TITLE>
<link href="lic_6.html" rel=Next>
<link href="lic_4.html" rel=Previous>
<link href="lic_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_4.html">previous</A>, <A HREF="lic_6.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC5" HREF="lic_toc.html#TOC5">A Rapid Prototyping System for Code Generation</A></H1>

<P>
This mode is exclusively designed for prototyping algorithms used for
code generation. It uses the Library of Linear Inequalities with
Symbolic Coefficients (See the SUIFMATH Reference Manual) as the
underlying primitives.  This mode provides a simple interface to enter
inequalities for loop bounds and array access functions, etc.  Many
linear systems based algorithms used for loop level code generation and
dependence analysis can be rapidly investigated, tested and debugged
using this mode.

</P>

<UL>
<LI><A HREF="lic_6.html#SEC6">Overview</A>: An overview of the uses of the system.
<LI><A HREF="lic_7.html#SEC7">Types of Variables</A>: The types of user-defined variables.
<LI><A HREF="lic_8.html#SEC8">Prototyping System Syntax</A>: The syntax used by the command parser.
<LI><A HREF="lic_9.html#SEC9">Examples</A>: Examples.
</UL>

<P><HR><P>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_4.html">previous</A>, <A HREF="lic_6.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
</BODY>
</HTML>
